% W-transform Multiresolution Anslysis
%     
%    NOTE: the m-files are written for Matlab 4.2.
%          They may work for 4.1, 
%          but unfortunately not for 3.5 or older.
%
%
% BASIC W-TRANSFORM FUNCTIONS
% ===========================
%
% ikwt      -  inverse W-transform
% iwma      -  inverse multiresolution analysis
% kwt       -  W-transform
% largest   -  largest components of a matrix
% largesta  -  largest (abs val) components of a matrix
% lbar      -  line-bar plot
% maw       -  cut out multiresolution analysis wavelets
% oc        -  orthogonal compensation
% quant     -  quantization
% saveraw   -  save an image in raw format
% sf        -  scaling function
% smallest  -  smallest components of a matrix
% wf        -  wavelet function
% wma       -  W-transform multiresolution analysis
% wmai      -  W-transf. multires. analysis (interactive)
% wplot     -  multires. analysis wavelet plot
%
% ikwt2     -  inverse 2D W-transform
% kwt2      -  2D W-transform
%
%
% GENERAL FUNCTIONS
% =================
%
% merge     -  merge two vectors by interlacing
% shadd     -  shift one vector and then add to another
%
%
% OTHER GOODIES
% =============
%
% mag       -  magnify current figure window
% shk       -  shrink current figure window
%
%
% DEMOS AND EXPERIMENTS
% =====================
%
% compare   -  comparing two W-transforms
% decp      -  compress-decompress an image
% imcomp    -  image compression experiment
% ldemo     -  compressed Lena demo
% opt       -  searching for optimal W-transform
% sdil      -  solving dilation equations
% wdemo     -  W-transform demo
