%freqs(x)    tabulates the frequency distribution of the matrix  x
%            of integers.  The answer is a matrix of two columns,
%            the first index the value of the elements of x from the
%            min to the max and the second gives the frequency.
%
%   Similar to  freq(x)  but empty bins are supressed.
%
%freqs(x,d)  elements of  x  are put into bins of width  d.
%
%SEE: freq

%kwong@mcs.anl.gov  10/6/93

function f=freq(x,d)

if nargin > 1, x = d*round(x/d); else x = round(x); end
  x = x(:); 
  x = sort(x(:));  len = length(x);
  y = find([ x(1)-1; x] ~=  [x; x(len)+1 ]);
  len = length(y)-1;
  f = [ x(y(1:len)) diff(y) ];
