% x = iwma(y,k,n)  inverse n-level multiresolution analysis on y using
%                 kw = k.  Default k = [1 3 3 1]/4, n = 1.

% kwong@mcs.anl.gov (Man Kam Kwong, MCS, Argonne National Laboratory)
% dritz@mcs.anl.gov (Ken Dritz)
% Last revised: 8/18/94

function y = ima(x,n,k)

if nargin == 1, n = 3; 
elseif nargin == 2, if length(n) > 1, k = n; n = 3; end
else  if length(k)==1, tmp = n; n = k; k = tmp; end
end

if exist('k') ~=1
  global kw, 
  if exist('kw') ~= 1, k = [1 3 3 1]/4; else k = kw; end
end

ss(n,:) = size(x);
for ii = n-1:-1:1
  ss(ii,:) = ceil(ss(ii+1,:)/2);
end

for ii = 1:n
  x(1:ss(ii,1),1:ss(ii,2)) = ikwt(x(1:ss(ii,1),1:ss(ii,2)),k);
end
y = x;
