function lbar(x,y,c)
% lbar(y)       draws a line-bar plot of  y
% lbar(x,y)     using  x  to label the horizontal axis
% lbar(x,y,c)   using color  c  (same convention as plot)
%
% It is functionally like "stem" without drawing the circles
% at the top of each line-bar.


% kwong@mcs.anl.gov (Man Kam Kwong, MCS, Argonne National Laboratory)
% dritz@mcs.anl.gov (Ken Dritz)
% Last revised: 8/18/94

n = length(x);

if nargin == 1, y = x(:); x = (1:n)'; c = 'y';
elseif nargin == 2, if length(y) == 1, c = y; y = x(:); x = (1:n)';
  else x = x(:); y = y(:); c = 'y'; end
end

n = 3*n;
xx = zeros(n,1); yy = xx;
xx(1:3:n) = x; xx(2:3:n) = x; xx(3:3:n) = x;
yy(2:3:n) = y;
plot(xx,yy,c)
