% maw(y,j)     y is the multiresolution of some 1D signal x
%                maw cuts out the j-th level wavelet from  y
% maw(y,j,1)   the low-pass component at the top j-th level
%
% maw(y,j,k)   For 2D signals, this is the j-th level and k-th
%                submatrix, where  k  is 1, 2, 3, or 4

% kwong@mcs.anl.gov (Man Kam Kwong, MCS, Argonne National Laboratory)
% dritz@mcs.anl.gov (Ken Dritz)
% Last revised: 8/18/94

function z = maw(y,j,h)

ind = size(y);

if min(ind) == 1
  ind = length(y);
  for i = 1:j-1, ind = ceil(ind/2); end
  if nargin == 2, z = y(ceil(ind/2)+1:ind); 
  else z = y(1:ceil(ind/2)); end
else
  for i = 1:j-1, ind = ceil(ind/2); end
  ind0 = ceil(ind/2);
  if ~exist('h'), h = 1; end
  if h == 1,     z = y(1:ind0(1),1:ind0(2));
  elseif h == 2, z = y(1:ind0(1),ind0(2)+1:ind(2));
  elseif h == 3, z = y(ind0(1)+1:ind(1),1:ind0(2));
  else z = y(ind0(1)+1:ind(1),ind0(2)+1:ind(2));
  end
end
