% z = merge(x,y)     if x and y are vectors, then z will be
%                    the vector [x(1) y(1) x(2) y(2) ...],
%                    until the shorter one runs out, then
%                    the unsed part of the longer one is
%                    appended to the end
%
%                    if x and y are matrices, they must be
%                    of the same width and merging is done
%                    in the vertical direction. 

% kwong@mcs.anl.gov (Man Kam Kwong, MCS, Argonne National Laboratory)
% dritz@mcs.anl.gov (Ken Dritz)
% Last revissed: 8/18/94

function z = merge(x,y)

s = size(x); 

if s(1) == 1, x = x(:); y = y(:); end
sx = size(x,1);
sy = size(y,1);

if sx > sy, ex = x(sy+1:sx,:); x = x(1:sy,:);
elseif sx < sy, ex = y(sx+1:sy,:); y = y(1:sx,:);
else   ex = [];
end

sz = 2*size(x,1);

z = zeros(sz,size(x,2));
z(1:2:sz,:) = x;
z(2:2:sz,:) = y;
z = [z; ex];

if s(1) == 1, z = z'; end
