%%% opt
%
% Experiment to find the optimal W-transform of the form
%
%   k = [ 1 r r 1]  for a give signal x.
%
% PREPARATION:  x  must have been assigned a 1D signal
%
%               RRopt is range of  r  to try (default 2.5:0.05:3.5)
%
% USAGE:        opt
%
% In the output display,  under  WOC  is the error of compression
% by using the W-transf with orthogonal compensation.  Under
% W  is the corresponding error without using OC.

% kwong@mcs.anl.gov (Man Kam Kwong, MCS, Argonne National Laboratory)
% dritz@mcs.anl.gov (Ken Dritz)
% Last revised: 8/18/94

normx = norm(x);

if ~exist('RRopt'), RRopt = 2.5:0.05:3.5; end
disp(' ')
disp(' k vector used is [ 1 r r 1 ]')
disp(' ')
disp('     r        WOC         W')
disp(' ')
for r=RRopt

kww = [1 r r 1];
[y1 y2] = kwt(x,kww);
cy2 = largesta(4,y2);
cx = ikwt(y1,cy2,kww);
cE=cx-x;
oy1 = oc(y1,y2-cy2,kww);
ox = ikwt(oy1,cy2,kww);
oE=ox-x;

% fprintf('   %3d   %f   %f   %3d   %f\n',nnz(cy2),norm(oE)/normx,norm(cE)/normx,nnz(cd2),norm(dE)/normx)
fprintf('%f   %f   %f\n',r,norm(oE)/normx,norm(cE)/normx)

end
