function [y, q] = quant(x,q)
% y = quant(x,q)             Quantize  x  with quantization
%     q  is a number         level  q.
%     e.g. quant(x,10)       is rounding to the nearest 10.
%
%     q  is a string         Quantize with q levels.
%     e.g. quant(x,'10') 
%
% quant(x)                   Use about 10 levels.
%
%  Output  q  contains the actual quantization level used.

% kwong@mcs.anl.gov (Man Kam Kwong, MCS, Argonne National Laboratory)
% dritz@mcs.anl.gov (Ken Dritz)
% Last revised: 8/18/94

if nargin == 1
  q = '10';
elseif length(x) == 1 | isstr(x)
  tmp = x; x = q; q = tmp;
end
if isstr(q)
  eval([ 'q = ' q ';' ])
  r = (max(max(x)) - min(min(x)))/q*1.5;
  p = floor(log(r)/log(10));
  q = floor(r/10^p)*10^p;
end
y = round(x/q)*q;
