function rl = runlen(rawd,n,L)
% rl = rl0(rawdata,n,L)  find runs of the integer  n    (default 0)
%                        in  rawdata  with length >= L  (default 1)
%
% Output has the format:
%
% rl = [ 1    8   22   34
%        4   12    9   12 ]
%
% The first row give the starting postion of each run and
% the second row gives the count of the corresponding run.

if ~exist('n'), n = 0; end
if ~exist('L'), L = 1; end

R  = (rawd(:)' == n);
R2 = find(R);
R3 = find(diff(R2)>1);
R4 = [ 1 R3+1 ];
R3 = [ R3 length(R2) ];
rl = [ R2(R4); R2(R3)-R2(R4)+1 ];
if L > 1
  rl = rl(:,find(rl(2,:)>=L));
end
