%saveraw(file,M)      Save matrix M, containing a grayscale 
%saveraw(file,R,G,B)  image, or R, G, B, containing a color
%                     image into "file.raw", a format recognizable
%                     by most display software, such as "xv".
%
%                     If file is omitted, use "tmp.raw"
%

% kwong@mcs.anl.gov (Man Kam Kwong, MCS, Argonne National Laboratory)
% dritz@mcs.anl.gov (Ken Dritz)
% Last revised: 8/18/94

function saveraw(f,R,G,B)

if nargin == 1 | nargin == 3
   file = 'tmp.raw'; s = size(f);
else
   file=f;
   len = length(f);
   if ~ strcmp(file(max(1,len-3:len)),'.raw'), file = [ file '.raw' ]; end
   s = size(R);
end

fid = fopen(file,'w');
Mh = 80; 
if nargin < 3, Mh = [Mh 53 ]; else Mh = [Mh 54 ]; end
Mh = [ Mh 10 sprintf('%d %d\n255\n',s(2),s(1)) ];
fwrite(fid,Mh,'uchar');

if nargin == 1
   fwrite(fid,f','uchar');
elseif nargin == 2
   fwrite(fid,R','uchar');
elseif nargin == 3
   f= f'; R = R'; G = G'; M = [ f(:) R(:) G(:) ]';
   fwrite(fid, M(:), 'uchar');
else
   R = R'; G = G'; B = B'; M = [ R(:) G(:) B(:) ]';
   fwrite(fid, M(:), 'uchar');
end
