%%% sdil.m
%
% Solving dilation equations.
%
% The vector  cdil  contains the coeficients of the equations.
%
% USAGE:  cdil = [ 1 3 3 1 ]/4  
%                              % try others like [ 1 2 1 ]
%         sdil

% kwong@mcs.anl.gov (Man Kam Kwong, MCS, Argonne National Laboratory)
% dritz@mcs.anl.gov (Ken Dritz)
% Last revised: 8/18/94

if ~exist('MAXP'), MAXP=1000; end
phi = cdil;
nn = length(cdil);
for i=1:20
  phi = merge(phi, zeros(1,length(phi)-1));
  phi1 = cdil(1)*phi;
  for ii = 2:nn
    phi1 = shadd(phi1,cdil(ii)*phi,ii-1);
  end
  phi = phi1/mx(phi1);
  if length(phi) > MAXP, break, end
end
figure(gcf), plot(phi), axis([1,length(phi),mn(phi),mx(phi)]) 
