% shadd(x,y,n)  shift vector y by n places and add to x
%               e.g.  if x = [1 2 3 4]   y = [5 6 7]
%               then  
%                     shadd(x,y,2) = [1 2 3 4 0] + [0 0 5 6 7]

% kwong@mcs.anl.gov (Man Kam Kwong, MCS, Argonne National Laboratory)
% dritz@mcs.anl.gov (Ken Dritz)
% Last revissed: 8/18/94

function z=shadd(x,y,n)

s = size(x); lx = length(x); ly = length(y);
m = max(n+ly,lx);
z = zeros(m,1);
z(1:lx)=x(:); z(n+1:n+ly) = z(n+1:n+ly)+y(:);
if s(1) == 1, z = z'; end
