function [y, ind] = ma(x,n,k)
% [y, ind] = wma(x,k,n)   n-level multiresolution analysis on x using
%                 kw = k.  Default k = [1 3 3 1]/4, n = 3.

% kwong@mcs.anl.gov (Man Kam Kwong, MCS, Argonne National Laboratory)
% dritz@mcs.anl.gov (Ken Dritz)
% Last revised: 8/18/94


if nargin == 1, n = 3; 
elseif nargin ==2, if length(n) > 1, k = n; n = 3; end
else  if length(k)==1, tmp = n; n = k; k = tmp; end
end

if exist('k') ~=1
  global kw, 
  if exist('kw') ~= 1, k = [1 3 3 1]/4; else k = kw; end
end

ss = size(x); ind = ss;
for ii = 1:n
  y(1:ss(1),1:ss(2)) = kwt(x,k);
  ss = ceil(ss/2); ind = [ss; ind];
  x = y(1:ss(1),1:ss(2));
end
