%%% wmai.m
%
%  Interactive multiresolution analysis.
%
%  USAGE:  wmai
%
%  Prompts for signal to be analyses, enter variable name for
%  the signal, e.g.   L
%
%  Then prompts for the # of levels (default = 3).
%
%  The various low and high-pass components are stored in the
%  variables:
%               WL11  WL12  (WL13  WL14)  
%               WL21  WL22  (WL23  WL24)   etc.
%
%  Only two components will be generated for 1D signals.

% kwong@mcs.anl.gov (Man Kam Kwong, MCS, Argonne National Laboratory)
% dritz@mcs.anl.gov (Ken Dritz)
% Last revised: 8/18/94

SIGNAL = input('Enter signal to be analyzed: ','s');
LEVELS = input('Enter the number of levels : ');
if length(LEVELS) == 0, LEVELS = 3; end

SIZES = 0; eval([ 'SIZES = size(' SIGNAL ');' ])
if min(SIZES) == 1, 
  eval([ '[W' SIGNAL '11, W' SIGNAL '12] = kwt(' SIGNAL ');' ] )
else
  eval([ '[W' SIGNAL '11, W' SIGNAL '12, W' SIGNAL '13, W' SIGNAL '14] = kwt(' SIGNAL ');' ] )
end
for ii = 2:LEVELS
  II = int2str(ii);
  if min(SIZES) == 1, 
    eval([ '[W' SIGNAL II '1, W' SIGNAL II '2] = kwt(W' SIGNAL int2str(ii-1) '1);' ] )
  else
    eval([ '[W' SIGNAL II '1, W' SIGNAL II '2, W' SIGNAL II '3, W' SIGNAL II '4] = kwt(W' SIGNAL int2str(ii-1) '1);' ] )
  end
end

eval([ 'W' SIGNAL '= W' SIGNAL int2str(LEVELS) '1;' ])

for ii = LEVELS:-1:1

  II = int2str(ii);
 if min(SIZES) == 1,
  if SIZES(1) == 1
   eval([ 'W' SIGNAL '=[W' SIGNAL ' W' SIGNAL II '2];' ])
  else
   eval([ 'W' SIGNAL '=[W' SIGNAL ';W' SIGNAL II '2];' ])
  end
 else
  eval([ 'W' SIGNAL '=[W' SIGNAL ' '...
                      'W' SIGNAL II '2;' ...
                      'W' SIGNAL II '3 ' ...
                      'W' SIGNAL II '4];' ])

 end
end
