function wplot(x,n,r,c)
% wplot(x,n)       Plots 1D n-level (default n = 3) multiresolution
%                  analysis.
% wplot(x,n,r)     Uses  1/r  to scale level 2 wavelet coefficients,
%                  1/r^2 to scale level 3 wavelet coefficient, etc.
% wplot(x,n,r,c)   Uses color c.

% kwong@mcs.anl.gov (Man Kam Kwong, MCS, Argonne National Laboratory)
% dritz@mcs.anl.gov (Ken Dritz)
% Last revised: 8/18/94

if exist('n') ~= 1, n = 3; r = 1; 
elseif exist('r') ~=1, if n > 1, n = ceil(n); r = 1;
                     else r = n; n = 3; end
else if n > 1, n = ceil(n); else tmp = r; r = n; n = min(2,tmp); end
end
if exist('c') ~= 1, c = 'y'; end

ind = length(x); mx = min(min(x),0); Mx = max(max(x),0);
figure(gcf)
for ii = n+1:-1:1
  if ii > 2, xx = x(ceil(ind/2)+1:ind)/r^(ii-2);
  elseif ii > 1, xx = x(ceil(ind/2)+1:ind);
  else xx = x(1:ind); end
  ind = ceil(ind/2);
  h = subplot(n+1,1,ii);
  lbar(xx,c)
  axis([ 1 length(xx) mx Mx ])
  axis off
  rect = get(h,'pos');
  set(h,'pos',[ rect(1) rect(2)-(n+1-ii)*rect(4)/10 rect(3) rect(4) ])
end
